#include <stdio.h>

int main ()

{
  int n, i, j, k;
  scanf("%d", &n);
  
  if (n <= 0)
  {
    printf("-1\n");
    return -1;
  }
  
  for (i=0; i<=n-1; i++)
   
  {
    for (k=1; k<=i; k++)
      printf(" ");
    for (j=n-i; j>=1; j--)
      if (j==1)
	printf("*");
      else
	printf("*-");
    printf("\n");
  }
  
  return 0;
   
  
}